summaryrefslogtreecommitdiffstats
path: root/conf
Commit message (Collapse)AuthorAgeFilesLines
* lms8: removeAnuj Mittal2018-08-011-1/+0
| | | | | | Obsolete and not being maintained anymore. Signed-off-by: Anuj Mittal <anuj.mittal@intel.com>
* README: minor editAnuj Mittal2018-07-271-5/+0
| | | | | | We don't supply binaries anymore. Also, remove some obsolete comments. Signed-off-by: Anuj Mittal <anuj.mittal@intel.com>
* machine/intel-corei7: remove lms from MACHINE_EXTRA_RRECOMMENDSAnuj Mittal2018-07-271-2/+0
| | | | | | Not all platforms need it and should be enabled only when it is required. Signed-off-by: Anuj Mittal <anuj.mittal@intel.com>
* lms7: removeAnuj Mittal2018-07-271-1/+0
| | | | | | | Looks for the wrong device node, startup script fails among other issues and as a result, doesn't work. Signed-off-by: Anuj Mittal <anuj.mittal@intel.com>
* machine/intel-corei7-64: remove reference to openssl-qatAnuj Mittal2018-07-251-1/+0
| | | | | | The recipe was removed and this is no longer needed. Signed-off-by: Anuj Mittal <anuj.mittal@intel.com>
* va-intel: removeAnuj Mittal2018-07-183-5/+2
| | | | | | | Include intel vaapi driver directly as part of hwcodecs instead of going indirectly through a separate recipe. Signed-off-by: Anuj Mittal <anuj.mittal@intel.com>
* rmc: removeAnuj Mittal2018-07-163-4/+2
| | | | | | | It's not being maintained anymore and the scripts have not been kept in sync with upstream for quite some time. Signed-off-by: Anuj Mittal <anuj.mittal@intel.com>
* maintainers: update all owners to AnujRoss Burton2018-06-211-12/+12
| | | | | Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Anuj Mittal <anuj.mittal@intel.com>
* conf/machine/intel-core*: add COMPATIBLE_MACHINE for qat17Tan, Raymond2018-06-062-0/+4
| | | | | | | | This adds both intel-core2-32 and intel-corei7-64 as the COMPATIBLE_MACHINE for qat17 package. Signed-off-by: Tan, Raymond <raymond.tan@intel.com> Signed-off-by: Anuj Mittal <anuj.mittal@intel.com>
* intel-core*.conf: change wks to be used for grub-efiAnuj Mittal2018-06-042-2/+2
| | | | | | Point to the meta-intel wks file when grub-efi is to be used. Signed-off-by: Anuj Mittal <anuj.mittal@intel.com>
* conf/machine/intel-corei7-64.conf: remove DPDK_TARGET_MACHINECalifornia Sullivan2018-04-171-1/+0
| | | | | | | | "atm" wasn't a real target and breaks the dpdk build now that the TARGET_MACHINE selection is fixed. Just allow it to default since that's what it effectively got before. Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* conf/machine/intel-core*: use systemd-bootdisk-microcode.wks by defaultCalifornia Sullivan2018-04-132-2/+4
| | | | | | | | | This allows early boot microcode updates by default. Since microcode is needed, we also add intel-microcode to WKS_FILE_DEPENDS. Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* layer.conf: update LAYERSERIES_COMPAT variableCalifornia Sullivan2018-04-061-1/+1
| | | | | | We are compatible with sumo and no longer compatible with rocko. Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* efilinux: removeCalifornia Sullivan2018-03-271-1/+0
| | | | | | | | The code hasn't been touched for over 4 years. Its also unlikely to have been used much if at all considering our previous lack of EFI boot partition support. Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* meta-intel.inc: remove unreferenced xserver codeAnuj Mittal2018-03-131-7/+0
| | | | | | | | | OLD_XSERVER_X86_EXT was added to support emgd drivers that needed X server older than 1.13. We neither support X server older than 1.13 nor the emgd drivers now. Signed-off-by: Anuj Mittal <anuj.mittal@intel.com> Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* Revert "conf: override WKS_FILE_DEPENDS for intel machines"California Sullivan2018-03-062-2/+0
| | | | | | | | | | This reverts commit ab858eb989071f10f6a3796b200c6c61d42ee082. This caused no bootloader to appear in the boot partition if WKS_FILE was changed manually. Furthermore, wic wouldn't error, it would just silently ignore the missing binary. Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* conf: override WKS_FILE_DEPENDS for intel machinesAnuj Mittal2018-02-162-0/+2
| | | | | | | | | | | | WKS_FILE_DEPENDS includes all the dependencies for producing wic images and is meant to be overridden with correct set by image recipes. Right now, the default values result in grub-efi being built even when EFI_PROVIDER is set to systemd-boot. Change the value to depend only on the EFI_PROVIDER bootloader. Signed-off-by: Anuj Mittal <anuj.mittal@intel.com> Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* conf/machine/intel-*: remove do_image_wic dependsAnuj Mittal2018-02-162-2/+0
| | | | | | | | | These dependencies on native tools needed by wic images have already been added by image_types_wic bbclass. Appending here results in same dependencies being added twice. Signed-off-by: Anuj Mittal <anuj.mittal@intel.com> Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* intel-vaapi-driver: upgrade to 2.0.0Anuj Mittal2018-02-161-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Major changes: * Bump version to 2.0.0 * Add support for Coffee Lake (aka. CFL) - Decoding: H.264/MPEG-2/VC-1/JPEG/VP8/HEVC/HEVC 10-bit/VP9/VP9 10-bit - Encoding: H.264/MPEG-2/JPEG/VP8/VP9/HEVC/HEVC 10-bit/AVC low power CQP/CBR/VBR mode - VPP: CSC/scaling/NoiseReduction/Deinterlacing{Bob, MotionAdaptive, MotionCompensated}/ColorBalance/STD * Add support for H264 FEI * Add support for HEVC ROI encoding * Add support for intensity compensation for VC-1 decoding * Improve the quality of the H264 encoder on BDW/BSW * Improve the CSC performance between I420/NV12/P010/YUY2/VYUY format * Improve the performace of va{Get, Put}Image for I420/NV12/P010/YUY2/VYUY format * Fix image corruption for VP9 decoding * Fix race condition in wayland support * Fix ROI support in VDEnc support * Fix corrupted stream when using VDEnc CBR/VBR * Fix GCC 7.1.1 warnings/errors * Update the shader for HEVC encoding The upstream package name now is intel-vaapi-driver instead of libva-intel-driver. Updated to point to release tarball instead of git. Also, changed the URLs to point to new project page. Signed-off-by: Anuj Mittal <anuj.mittal@intel.com> Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* meta-intel.inc: use linux-intel instead of linux-yocto in -lsbCalifornia Sullivan2018-01-301-1/+1
| | | | | | | Previously the ltsi kernel was 4.4, requiring us to use linux-yocto. It has since moved to 4.9, allowing us to use linux-intel. Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* meta-intel.inc: set default EFI_PROVIDER to systemd-bootCalifornia Sullivan2018-01-231-1/+1
| | | | | | | | | RMC is confusing as a default because it is only supported by legacy (iso, hddimg) image types. Its also not being actively maintained, causing it to lag behind in updates (currently against systemd-boot v232 instead of v234). Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* xf86-video-mga: remove recipe from meta-intelAnuj Mittal2018-01-173-5/+0
| | | | | | | | | | This driver was added for a platform that is no longer supported. This recipe is also maintained in meta-oe in case it's required outside of meta-intel. Signed-off-by: Anuj Mittal <anuj.mittal@intel.com> Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* maintainers.inc: update recipes for new maintainersCalifornia Sullivan2018-01-161-17/+17
| | | | | | | | Anuj gets video related pieces. Stephano gets RMC and poky-tiny related pieces. Cal picks up other small pieces. Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* meta-intel.inc: Update linux-intel PREFERRED_VERSION to 4.14California Sullivan2018-01-081-1/+1
| | | | | | | This is the newest LTS kernel, and will be the preferred kernel going for this release. Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* intel-quark: Remove MACHINE configuration for QuarkSaul Wold2017-12-082-45/+0
| | | | | | | | As the Quark machine has been EOL'ed at the end of 2017, remove this machine type from the 2018 planned release of meta-intel Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* qemuboot-intel: Remove quark referencesSaul Wold2017-12-081-4/+0
| | | | | Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* meta-intel: Reorganize the layout to remove commonSaul Wold2017-11-201-5/+5
| | | | | | | Remove the concept of the common directory and move all the recipes-* dirs to the top level as a normal layer would be. layer.conf is updated appropriately Signed-off-by: Saul Wold <sgw@linux.intel.com>
* layer.conf: Bump Layer due to removal of meta-tlk8.0-rocko-2.4Saul Wold2017-11-011-1/+1
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>
* maintainers: Update with available team membersSaul Wold2017-10-191-19/+19
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>
* meta-intel.inc: Use grub-efi for x32Saul Wold2017-09-271-0/+1
| | | | | | | | Use the new x86-x32 override to set the EFI_PROVIDER to grub-efi which can build without any external libraries, thus just build in 64bit mode without x32 libraries. Signed-off-by: Saul Wold <sgw@linux.intel.com>
* meta-*/layer.conf: Add LAYERDEPENDSSaul Wold2017-09-261-0/+1
| | | | | | This adds the missing LAYERDEPENDS as appropriate Signed-off-by: Saul Wold <sgw@linux.intel.com>
* qat: Move BSP specific configurations from recipes to machine.confMark Hatle2017-09-251-0/+5
| | | | | | | | | | | | The COMPATIBLE_MACHINE entry for qat recipes is set to 'null'. This will prevent arbitrary machines from trying to use the qat functionality. A compatible MACHINE must define itself as such for the qat recipes. Embedding BSP specific knowledge into the recipe will cause the recipe to slowly get out of date. Signed-off-by: Mark Hatle <mark.hatle@windriver.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* dpdk: Move BSP specific configurations from recipes to machine.confMark Hatle2017-09-251-0/+5
| | | | | | | | | | | | | The COMPATIBLE_MACHINE entry for dpdk recipes is set to 'null'. This will prevent arbitrary machines from trying to use the dpdk functionality. A compatible MACHINE must define itself as such for the dpdk recipes. Also the BSP aware target machine was similarly moved to the BSP. Embedding BSP specific knowledge into the recipe will cause the recipe to slowly get out of date. Signed-off-by: Mark Hatle <mark.hatle@windriver.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* Move dpdk and qat components to meta-dpdk and meta-qatMark Hatle2017-09-252-7/+3
| | | | | | | | | | | | | | | | | | meta-dpdk / meta-qat: * Move content from meta-intel/common * Create new basic README/LICENSE files from meta-intel * Create new layer.conf files * Fill out the maintainers files meta-intel: * update the maintainers files * bump the meta-intel layer version * add layer recommend No other content changes made in this commit. Signed-off-by: Mark Hatle <mark.hatle@windriver.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* intel-common-pkgarch: fix iwlwifi rename and add ixgbeSaul Wold2017-09-051-1/+3
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>
* conf/machine/intel-*: move core-image-minimal-initramfs PACKAGE_INSTALLCalifornia Sullivan2017-08-232-4/+0
| | | | | | | A machine configuration file wasn't the correct place to put this in the first place. It should be in a bbappend, which we now have. Signed-off-by: California Sullivan <california.l.sullivan@intel.com>
* intel-common-pkgarch: Add out of tree modulesSaul Wold2017-07-311-0/+1
| | | | | | | Since we want to support the out of tree modules for wifi and ethernet we need to also have them as common for all machines in the common arch. Signed-off-by: Saul Wold <sgw@linux.intel.com>
* meta-intel.inc: Ensure thermald is installed for most targetsSaul Wold2017-07-271-2/+2
| | | | | | This will ensure thermald is installed on all target images except core-image-minimal Signed-off-by: Saul Wold <sgw@linux.intel.com>
* meta-intel.inc: Set default DISK_SIGNATURE_UUIDCalifornia Sullivan2017-07-101-0/+2
| | | | | | | | This lets the uefi-comboapp and new kickstart template work well together out of the box. Signed-off-by: California Sullivan <california.l.sullivan@intel.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* Revert "meta-intel: Add override for EFI_PROVIDER and x32"Saul Wold2017-07-091-1/+0
| | | | | | | | | The recent patch from Todor to split the RMC recipe into lib and efi app allows us to revert this override. This reverts commit a0ca03a32bbe5cbc8433330c28f2044d0ff30ae8. Signed-off-by: Saul Wold <sgw@linux.intel.com>
* Revert "world-broken: Add for dpdk packages"Saul Wold2017-07-052-3/+0
| | | | | | Testing of to dpdk-libverbs This reverts commit cbf13b7374422abf1f981f5122b926c0bc85c0a4.
* meta-intel: Add override for EFI_PROVIDER and x32Saul Wold2017-06-261-0/+1
| | | | | | | Since the existing rmc library does not build correctly for x32 target disable it with an ARCH based OVERRIDE. Signed-off-by: Saul Wold <sgw@linux.intel.com>
* world-broken: Add for dpdk packagesSaul Wold2017-06-262-0/+3
| | | | | | The dpdk-dev-libibverbs is broken with gcc7 currently Signed-off-by: Saul Wold <sgw@linux.intel.com>
* layer.conf: Add LAYERSERIES_COMPAT markup to layer.confSaul Wold2017-06-071-0/+2
| | | | | | | This means mismatched layers are more clearly identified to the user in cases where compatibility has not been tested. Signed-off-by: Saul Wold <sgw@linux.intel.com>
* conf/machine/intel-core*: Fix WKS_FILE setting7.0-pyro-2.3California Sullivan2017-05-192-2/+2
| | | | | | | | | | bb.utils.contains checks if ALL items are in the variable, and since we check for systemd-boot or rmc-boot, it would always be false, assigning mkefidisk as the WKS_FILE in all cases. bb.utils.contains_any checks if one or more items are in the variable, so use that instead. Signed-off-by: California Sullivan <california.l.sullivan@intel.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* maintainers: Re-Sort and remove duplicateSaul Wold2017-05-161-18/+17
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>
* conf/machine/intel-core*: change WKS_FILE based on EFI_PROVIDERCalifornia Sullivan2017-05-162-2/+2
| | | | | | | | | | | | | If someone changes their EFI_PROVIDER to grub-efi, we shouldn't be building a systemd-boot based wic image. Use bb.utils.contains to be default to mkefidisk.wks if we aren't using a systemd-boot based EFI_PROVIDER. mkefidisk.wks is the same as systemd-bootdisk.wks, except it uses grub and sets rootwait on the kernel command line, so its nearly equivalent. Signed-off-by: California Sullivan <california.l.sullivan@intel.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* canned-wks/systemd-bootdisk-uuid.wks: remove fileCalifornia Sullivan2017-05-162-2/+2
| | | | | | | | | | | | | | This was initially added as a stopgap, as OE-core's systemd-bootdisk.wks was using a static device node name rather than device UUID as the root target. Since OE-core's systemd-bootdisk has caught up, we don't need this. OE-core's systemd-bootdisk also includes console=ttyS0, which is common on many platforms and we were missing. Also change the default WKS_FILE to be OE-core's systemd-bootdisk on appropriate MACHINEs. Signed-off-by: California Sullivan <california.l.sullivan@intel.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* qemu-intel.inc: Add to KERNEL_FEATURES via KERNEL_FEATURES_INTEL_COMMONCalifornia Sullivan2017-05-111-1/+1
| | | | | | | | | | Adding to KERNEL_FEATURES causes the kernel tools to try to add the feature to all kernels, even custom kernels not using the yocto-kernel-cache. By moving it to KERNEL_FEATURES_INTEL_COMMON, it will only affect the kernels the layer supplies. Signed-off-by: California Sullivan <california.l.sullivan@intel.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* maintainer: Update Maintainer listSaul Wold2017-05-091-0/+27
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>